Validate Wiz credential
curl --request POST \
--url https://semgrep.dev/api/notifications/deployments/{deploymentId}/wiz/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": 123,
"clientId": "<string>",
"clientSecret": "<string>",
"apiUrl": "<string>",
"tokenUrl": "<string>",
"id": "<string>"
}
'import requests
url = "https://semgrep.dev/api/notifications/deployments/{deploymentId}/wiz/validate"
payload = {
"deploymentId": 123,
"clientId": "<string>",
"clientSecret": "<string>",
"apiUrl": "<string>",
"tokenUrl": "<string>",
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: 123,
clientId: '<string>',
clientSecret: '<string>',
apiUrl: '<string>',
tokenUrl: '<string>',
id: '<string>'
})
};
fetch('https://semgrep.dev/api/notifications/deployments/{deploymentId}/wiz/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"error": "<string>"
}Wiz Credentials
Validate Wiz credential
Check that a Wiz credential can authenticate against Wiz.
POST
/
api
/
notifications
/
deployments
/
{deploymentId}
/
wiz
/
validate
Validate Wiz credential
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your user's JSON Web Token.
Path Parameters
Body
application/json
Existing credential to validate. When set and no client_secret is provided, the stored secret is validated server-side, so clients can test a saved credential without sending (or knowing) the secret. When a client_secret is provided, that secret is validated instead.
Was this page helpful?
⌘I